#include <iostream>
#include <cmath>

using namespace std;

int main()
{
    int n, m, sreca = 0;
    cin >> n >> m;
    int A[n], poznanici[m * 2], drugovi[n];

    for (int i = 0; i < n; i++) {
        cin >> A[i];
        drugovi[i] = 0;
    }

    for (int i = 0; i < m * 2; i = i + 2) {
        cin >> poznanici[i] >> poznanici [i + 1];
    }

    for(int k = 0; k < m * 2; k += 2) {
        int jedan = (poznanici[k]) - 1, dva = (poznanici[k + 1]) - 1;
        if (abs(A[jedan]) >= abs(A[dva])) {
            if (A[jedan] >= 0) {
                drugovi[jedan]++;
                drugovi[dva]++;
            }
            else {
                drugovi[jedan]--;
                drugovi[dva]--;
            }
        }
        else {
            if (A[dva] >= 0) {
                drugovi[jedan]++;
                drugovi[dva]++;
            }
            else {
                drugovi[jedan]--;
                drugovi[dva]--;
            }
        }
    }

    for (int i = 0; i < n; i++) {
        sreca += A[i] * drugovi[i];
    }

    cout << sreca;
}